%define anolis_release 1
%define abidir %{_prefix}/lib/compatibility/%{name}

Name:		gtest
Version:	1.14.0
Release:	%{anolis_release}%{?dist}
Summary:	Intel® Data Mover Library (Intel® DML)
License:	MIT
URL:		https://github.com/google/googletest
Source0:	https://github.com/google/googletest/archive/refs/tags/v%{version}.tar.gz

BuildRequires:	gcc-c++ cmake gcc
BuildRequires:  libuuid-devel
BuildRequires:  python3
BuildRequires:  abi-dumper

Requires:	gmock = %{version}-%{release}
Provides:	libgtest = %{version}-%{release}

%description
Google's framework for writing C++ tests on a variety of platforms
(Linux, Mac OS X, Windows, Cygwin, Windows CE, and Symbian).
Based on the xUnit architecture. Supports automatic test discovery,
a rich set of assertions, user-defined assertions, death tests,
fatal and non-fatal failures, value- and type-parameterized tests,
various options for running the tests, and XML test report generation.

This package provides shared libraries and header files for development
with googletest.

%package -n     gmock
Summary:        Development files for the Google C++ Mocking Framework
Provides:       libgmock = %{version}-%{release}

%description -n gmock
Inspired by jMock, EasyMock, and Hamcrest, and designed with C++'s specifics in
mind, Google C++ Mocking Framework (or Google Mock for short) is a library for
writing and using C++ mock classes.

This package provides shared libraries and header files for development
with googlemock.


%package -n    gmock-devel
Summary:       Development files for googletest
Requires:      gmock = %{version}-%{release}

%description -n gmock-devel
The gmock-devel package contains libraries and header files for
developing applications that use gmock.

%package -n    gtest-devel
Summary:       Development files for googletest
Requires:      gtest = %{version}-%{release}

%description -n gtest-devel
The gtest-devel package contains libraries and header files for
developing applications that use gtest.

%package doc
Summary:        Documentation files for %{name}
Requires:       gtest = %{version}-%{release}
Requires:	gmock = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n googletest-%{version} -p1

%build
%cmake
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}/%{abidir}
pushd %{buildroot}/%{abidir}
for full_name in $(find %{buildroot} -name "*.so*") ; do
        f=`echo ${full_name##*/}`
        (file $full_name | grep "shared object" > /dev/null 2>&1 && abi-dumper $full_name -o $f.dump > /dev/null 2>&1) || echo "ok"
done
popd

%files 
%license LICENSE
%{_libdir}/libgtest_main.so.*
%{_libdir}/libgtest.so.*
%{abidir}/libgtest_main.so.*.dump
%{abidir}/libgtest.so.*.dump

%files -n gmock
%license LICENSE
%{_libdir}/libgmock.so.*
%{_libdir}/libgmock_main.so.*
%{abidir}//libgmock.so.*.dump
%{abidir}/libgmock_main.so.*.dump

%files -n gmock-devel
%{_includedir}/gmock
%{_libdir}/libgmock.so
%{_libdir}/libgmock_main.so
%{_libdir}/pkgconfig/gmock.pc
%{_libdir}/pkgconfig/gmock_main.pc

%files -n gtest-devel
%{_includedir}/gtest
%{_libdir}/libgtest_main.so
%{_libdir}/libgtest.so
%{_libdir}/cmake/GTest
%{_libdir}/pkgconfig/gtest_main.pc
%{_libdir}/pkgconfig/gtest.pc

%files doc
%doc README.md CONTRIBUTORS 

%changelog
* Tue Feb 18 2025 Xiaoping Liu <lxp01404969@linux.alibaba.com> - 1.14.0-1
- update to 1.14.0 from 1.13.0

* Sun Mar 05 2023 Funda Wang <fundawang@yeah.net> - 1.13.0-1
- New version 1.13.0

* Mon Oct 10 2022 happy_orange <songnannan@linux.alibaba.com> - 1.12.1-1
- Init package from upstream

